Name:           python-stomper
Version:        0.4.3
Release:        %mkrel 3
Summary:        A python client implementation of the STOMP protocol
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/oisinmulvihill/stomper
Source0:        https://pypi.python.org/packages/source/s/stomper/stomper-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	locales
BuildRequires:	python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
BuildRequires:	python3dist(future)

%description
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%package -n python3-stomper
Summary:	A python client implementation of the STOMP protocol
Group:		Development/Python

%description -n python3-stomper
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%prep
%setup -q -n stomper-%{version}

%build
%py3_build

%install
%py3_install

rm -rf $RPM_BUILD_ROOT%{python3_sitelib}/stomper/examples
rm -rf $RPM_BUILD_ROOT%{python3_sitelib}/stomper/tests

%check
LANG=C.UTF-8 PYTHONPATH=$(pwd) nosetests-%{python3_version} -v

%files -n python3-stomper
%doc lib/stomper/examples lib/stomper/tests
%{python3_sitelib}/*



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.4.3-3.mga8
+ Revision: 1533687
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.4.3-2.mga8
+ Revision: 1444920
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 0.4.3-1.mga7
+ Revision: 1393897
- new version 0.4.3
- add python3 pkg

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-3.mga7
+ Revision: 1274848
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 971137
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 philippem <philippem> 0.3.0-1.mga6
+ Revision: 889345
- update to 0.3.0

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-5.mga5
+ Revision: 740849
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.8-4.mga5
+ Revision: 729840
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-3.mga5
+ Revision: 688356
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Feb 23 2014 philippem <philippem> 0.2.8-1.mga5
+ Revision: 596003
- imported package python-stomper

